# -*- encoding: utf-8 -*-

from django.urls import path
from django.contrib.auth.views import LogoutView

# from .views import login_view, register_user, profile_view, discord_login, discord_login_redirect
from . import views
from .views import DiscordLoginAction, DiscordLoginRedirect, Login


urlpatterns = [
    path("login/", Login.as_view(), name="login"),
    path("oauth2/login/", DiscordLoginAction.as_view(), name="discord_login"),
    path("oauth2/login/redirect/", DiscordLoginRedirect.as_view(), name="discord_login_redirect")
]
